Package org.apache.wiki.plugin

# Class DefaultPluginManager.WikiPluginInfo

java.lang.Object
org.apache.wiki.modules.WikiModuleInfo
org.apache.wiki.plugin.DefaultPluginManager.WikiPluginInfo

All Implemented Interfaces:
  `Comparable<WikiModuleInfo>`

Enclosing class:
  DefaultPluginManager

public static final class DefaultPluginManager.WikiPluginInfo extends WikiModuleInfo
Contains information about a bunch of plugins.

## Field Summary

### Fields inherited from class org.apache.wiki.modules.WikiModuleInfo

`m_adminBeanClass, m_author, m_authorUrl, m_description, m_htmlTemplate, m_maxVersion, m_minVersion, m_moduleUrl, m_moduleVersion, m_name, m_resource, m_scriptLocation, m_scriptText, m_stylesheetLocation, m_stylesheetText`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAjaxAlias()`
Returns the ajax alias name for this object.
`String`
`getAlias()`
Returns the alias name for this object.
`String`
`getClassName()`
Returns the full class name of this object.
`String`
`getIncludeText(String type)`
Returns a text for IncludeResources.
`protected void`
`initializeFromXML(org.jdom2.Element el)`
Initializes the ModuleInfo from some standard XML elements which are under the given element.
`org.apache.wiki.api.plugin.Plugin`
`newPluginInstance(List<String> searchPath, List<String> externalJars)`
Creates a new plugin instance.
`String`
`toString()`
Returns a string suitable for debugging.

### Methods inherited from class org.apache.wiki.modules.WikiModuleInfo

`compareTo, equals, getAdminBeanClass, getAuthor, getAuthorUrl, getDescription, getHtmlTemplate, getMaxVersion, getMinVersion, getModuleUrl, getModuleVersion, getName, getScriptLocation, getStylesheetLocation, getTextResource, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### initializeFromXML

protected void initializeFromXML(org.jdom2.Element el)
Initializes the ModuleInfo from some standard XML elements which are under the given element.

Overrides:
  `initializeFromXML` in class `WikiModuleInfo`
Parameters:
  `el` - The element to parse.

### getClassName

public String getClassName()
Returns the full class name of this object.

Returns:
  The full class name of the object.

### getAlias

public String getAlias()
Returns the alias name for this object.

Returns:
  An alias name for the plugin.

### getAjaxAlias

public String getAjaxAlias()
Returns the ajax alias name for this object.

Returns:
  An ajax alias name for the plugin.

### newPluginInstance

public org.apache.wiki.api.plugin.Plugin newPluginInstance(List<String> searchPath, List<String> externalJars) throws ReflectiveOperationException
Creates a new plugin instance.

Parameters:
  `searchPath` - A List of Strings, containing different package names.
  `externalJars` - the list of external jars to search
Returns:
  A new plugin.
Throws:
  `ClassNotFoundException` - If the class declared was not found.
  `InstantiationException` - If the class cannot be instantiated-
  `IllegalAccessException` - If the class cannot be accessed.
  `ReflectiveOperationException`

### getIncludeText

public String getIncludeText(String type)
Returns a text for IncludeResources.

Parameters:
  `type` - Either "script" or "stylesheet"
Returns:
  Text, or an empty string, if there is nothing to be included.

### toString

public String toString()
Returns a string suitable for debugging. Don't assume that the format would stay the same.

Overrides:
  `toString` in class `Object`
Returns:
  Something human-readable